Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools
[Groovy] Class DocGenerator

    java.lang.Object
      org.codehaus.groovy.tools.DocGenerator

    class DocGenerator
    extends java.lang.Object

Generate documentation about the methods provided by the Groovy Development Kit that enhance the standard JDK classes.

Authors:
  Guillaume Laforge, John Wilson, Bernhard Huber, Paul King

Property Summary
`JavaDocBuilder` | `builder`
`java.lang.Object` | `jdkEnhancedClasses`
`java.io.File` | `outputFolder`
`java.lang.Object` | `packages`
`java.lang.Object` | `sortedPackages`
`java.lang.Object` | `sourceFiles`

Constructor Summary
`DocGenerator(java.lang.Object sourceFiles, java.io.File outputFolder)`

Method Summary
`java.lang.Object` | `createTemplate(java.lang.Object templateEngine, java.lang.Object resourceFile)`
`java.lang.Object` | `generateNew()` Builds an HTML page from the structure of DefaultGroovyMethods.
`static void` | `main(java.lang.Object args)` Main entry point.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### builder

    JavaDocBuilder builder

### jdkEnhancedClasses

    java.lang.Object jdkEnhancedClasses

### outputFolder

    java.io.File outputFolder

### packages

    java.lang.Object packages

### sortedPackages

    java.lang.Object sortedPackages

### sourceFiles

    java.lang.Object sourceFiles

Constructor Detail

### DocGenerator

    DocGenerator(java.lang.Object sourceFiles, java.io.File outputFolder)

Method Detail

### createTemplate

    java.lang.Object createTemplate(java.lang.Object templateEngine, java.lang.Object resourceFile)

### generateNew

    java.lang.Object generateNew()

  Builds an HTML page from the structure of DefaultGroovyMethods.

### main

    static void main(java.lang.Object args)

  Main entry point.

Groovy Documentation